pro get_block_info,misrfile,stblock,eblock,corners

; get the start and end block numbers

sdid = HDF_SD_START( misrfile, /READ)
attrindex = HDF_SD_ATTRFIND(sdid, "Start_block")
HDF_SD_ATTRINFO, sdid, attrindex, DATA=start_block
attrindex = HDF_SD_ATTRFIND(sdid, "End block")
HDF_SD_ATTRINFO, sdid, attrindex, DATA=end_block
;print,"Start block:  ",start_block
;print,"End block:  ",end_block
HDF_SD_END,sdid
stblock = start_block[0]
eblock = end_block[0]

; read the block upper left and lower right corners
; from the PerBlockMetadataCommon vdata

fid = HDF_OPEN(misrfile)
vdid = HDF_VD_FIND(fid,"PerBlockMetadataCommon")
vd = HDF_VD_ATTACH(fid,vdid)
nrec = HDF_VD_READ(vd,corners,$
       fields="Block_coor_ulc_som_meter.x,Block_coor_ulc_som_meter.y," +$
              "Block_coor_lrc_som_meter.x,Block_coor_lrc_som_meter.y")
HDF_VD_DETACH,vd
HDF_CLOSE,fid

end